//--------------------------------------------------------------
// File     : main.c
// Datum    : 20.12.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F429
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Basic Editor/Interpreter fuer STM32F429-Disco
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
// In Configuration diese Define hinzufgen :
// "STM32F429_439xx" , "__ASSEMBLY__" , "USE_STDPERIPH_DRIVER"
//--------------------------------------------------------------

//--------------------------------------------------------------
// LCD-Version :
//     Files : stm32_ub_lcd_ili9341.c+h
//     Configuration/Compile/Defines : ohne "USE_VGA_SCREEN"
//     Adressen vom LCD-Buffer :
//       linke untere Ecke : adr=0
//       linke obere Ecke  : adr=239
//       pro Pixel in X-Richtung : adr+=240 (nach rechts)
//       pro Pixel in Y-Richtung : adr-=1   (nach unten)
//--------------------------------------------------------------
// VGA-Version :
//     Files : stm32_ub_lcd_vga.c+h
//     Configuration/Compile/Defines : mit "USE_VGA_SCREEN"
//     Adressen vom LCD-Buffer :
//       linke obere Ecke : adr=0
//       rechte obere Ecke  : adr=319
//       pro Pixel in X-Richtung : adr+=1   (nach rechts)
//       pro Pixel in Y-Richtung : adr+=320 (nach unten)
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_basic.h"



int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren


  // init vom STM32F4-Basic
  UB_Basic_Init();

  // start vom STM32F4-Basic (endlosloop)
  UB_Basic_Start();

  while(1)
  {
    // nothing to do
  }
}

