//--------------------------------------------------------------
// File     : stm32_ub_systick.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_SYSTICK_H
#define __STM32F4_UB_SYSTICK_H



//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "stm32f4xx_rcc.h"
#include "stm32_ub_usb_hid_host.h"
#include "stm32_ub_basic.h"


//--------------------------------------------------------------
// Auflsung der Systick
// (entweder 1us oder 1000us als Auflsung einstellen)
//--------------------------------------------------------------
//#define  SYSTICK_RESOLUTION   1    // 1us Auflsung
#define  SYSTICK_RESOLUTION   1000   // 1ms Auflsung



//--------------------------------------------------------------
USB_HID_HOST_STATUS_t  akt_usb_status;
uint32_t keyboard_timer;
uint32_t cursor_blink_timer;
uint32_t lcd_refresh_timer;
uint32_t basic_timer;
uint32_t basic_tic;


//--------------------------------------------------------------
// Globale Pausen-Funktionen
//--------------------------------------------------------------
void UB_Systick_Init(void);
#if SYSTICK_RESOLUTION==1
  void UB_Systick_Pause_us(volatile uint32_t pause);
#endif
void UB_Systick_Pause_ms(volatile uint32_t pause);
void UB_Systick_Pause_s(volatile uint32_t pause);
void UB_Systick_BasicResetTimer(void);
uint32_t UB_Systick_BasicReadTimer(void);
void UB_Systick_BasicResetTIC(void);
uint32_t UB_Systick_BasicReadTIC(void);





//--------------------------------------------------------------
#endif // __STM32F4_UB_SYSTICK_H


